24.07.2007  3.9.1
=================
	Added Vista UAC manifest to the self-upgrading module of AutoUpgrader
        component.

	Added OnSynchronization event to acThread component.

	Minor improvements and bugfixes.


27.04.2007  3.9
===============
	Updates for Delphi 2007, and some minor improvements, mostly in
	HTTP client component.


10.03.2007  3.8.2
=================
	The self-upgrading mechanism of the acAutoUpgrader component now
	compatible with Windows Vista, plus added possibility to download
	and replace files outside of main program folder.

	Changed type of AutoExtract.ExtractTo.TopLevelDir property of
	acFileStorage component.

	Some other minor improvements.


24.10.2006  3.8.1
=================
	Fixed critical bug in acAutoUpgrader component, which could freeze
	Application Update Wizard.

	Added support of Slovak language to the built-in Application Update
	Wizard of the acAutoUpgrader component.


23.10.2006  3.8
===============
	Added 3 new components: acAppGlobalAlert and acAppGlobalSwitch.
	Both are small utilities which helps you to control some global
	application actions in different forms of application;
	and acCurrencyEdit, the component which can be used to easily
	edit currency values with 2 decimal digits (currently it's rather
	simple but new features will added in next AppControls release).

	Fixed 4 bytes memory leak in acThread class (used in acHTTP,
	acAutoUpgrader, acSendMail and other components).

	Changed CheckUpdate method in acAutoUpgrader component. Added
	posibility to just check whether update available, without any
	message boxes and without initiation of the update itself.

	Added OnBeforeSendRequest event to acHTTP component.

	Added ShowGoOnlineMessage property and IsGlobalOnline method to
	acHTTP component, plus added ioIgnoreUnknownCertificateAuthority
	option to the InternetOptions property.

	Added processing of Alt+Backspace to acEdit component and its
	descendants (unfortunately it was not supported before by our mistake).

	The acFormHints component now can be used in ActiveX-based forms
	in apartment application model.

	...and many other minor improvements and fixes...


01.01.2006  3.7.6
=================
	Installation fixes for Delphi 2006.


20.12.2005  3.7.5
=================
	Update with support of Delphi 2006, plus some minor fixes.


29.09.2005  3.7.4
=================
	Fixed acSendMail component (it appears that some SMTP servers are
	incorrectly process huge MimeEncoded email messages without
	linebreaks, so SendMail now breaks the lines in MimeEncoded
	attachments.


25.09.2005  3.7.3
=================
	Fixed acHTTP component, now all non-latin characters over 7bits
	are correctly "URLEncoded" for POST queries.

	Fixed issues with displaying effects on MDI windows using
	acAnimationEffect and acWin32Effects components;

	Fixed memory leak in acTrayIcon component, occured when
	application runs minimized at startup.


13.07.2005  3.7.2
=================
	Fixed incompatibilities with some 3rd party unicode controls.

	Fixed bug in acInfoBox component ("property does not exists"
	message, which also could occur on using AutoUpgrader component).


29.06.2005  3.7.1
=================
	Added OnUploadCGITimeoutFailed event to acHTTP component.

	Bugfix in OpenURL function, now opens URL in any default Web
	browser, including FireFox.


14.06.2005  3.7
===============
	Added 4 new components: acHTTPDownloadQueue, acRSSFeed,
	acRSSFeedContainer and acTrackBar. Unfortunately they are
	NOT documented yet, the description on these components
	and their features will be shortly, in next release (although
	they are fully functional and easy to use, most features are
	self-describing by properties and events).

	Added Authentication feature to acSendMail component (allows
	to specify username and password for SMTP server).

	Fixes in acHTTP component:
	 * it was not returned from "Busy" state in case of file
	   creation error, when components downloads some data to
	   specified OutputFileName;
	 * added OnOutputFileError event;
	 * removed HideOutputFile property and added OutputFileAttributes
	   property instead (allows to specify the file attributes for
	   downloaded file, when it incomplete (being downloaded), and
	   complete);
	 * implemented "rollback" feature which starts downloading
	   again from beginning in case if content of Web file/document
	   has been changed while downloading, or file has been saved
	   incorrectly because of disk error;
	 * fixes in proxy authentication;
	 * fixed bug with caching of files received by HTTPS protocol
	   (actually documents received by HTTPS won't be cached, but
	   all cache flags now ignored in case of work via secure
	   protocol).

	Fixes in acFormHelp and acInfoBox: long strings now wraps to
	next line after ".", ",", ":", ";", "/" and "-" characters.

	The UseF1 property has been returned back again to acFormHelp
	component. (Allows to disable invoking the context sensitive
	help from mouse pointer on pressing F1 button when False).


13.12.2004  3.6
===============
	Support of Win32 platform of Delphi 2005.

	Big improvements and changes in acHTTP component:
	* Added CacheOptions and InternetOptions properties, 2 sets
	  of various options used to specify various behavours of
	  HTTP requests and how the component should work with
	  standard cache;
	* Removed UseCache and UseCookies properties, since they
	  replaced by much more flexible CacheOptions and
	  InternetOptions properties;
	* Added ProxyUsername and ProxyPassword properties used
	  to specify the required login information for secure
	  proxy authentication before the HTTP request;
	* Added Pause and Resume methods, used to terminate and
	  resume downloading;
	* Added 2 optional parameters to Abort method, which can
	  specify whether to delete the file which are being
	  downloaded and whether to terminate running thread
	  imediately, without releasing internet handles;
	* Modified HTTPHeaderInfo event: added ETag parameter.

	Some fixes which solves the problems with compiling the
	AppControls in C++ Builder without modifications of HPP
	files.

	Added OnTemplateChanged and OnParamChanged events to
	acTextTemplateConverter component. The acHTMLViewer now
	automatically refreshes the view accordingly to changed
	template.


18.11.2004  3.5.3
=================
	Fixed bug in acInfoBox component, now the text correctly
	displays in the message boxes with disabled "Don't show
	this message again" check box, so the acAutoUpgrader now
	correctly displays the "upgrade prompt" when the newer
	version of application are available.


10.11.2004  3.5.2
=================
	Added new component: acComboDatePicker (panel with group of
	3 combo-boxes used to quickly select the date (day, month
	and year).

	Added lpAboveCenter and lpBelowCenter parameters to
	acAttachedLabel class, so the components with attached label
	(acEdit, acNumberEdit, acLabeledComboBox, acMRUComboBox, etc)
	can have attached label centered below or above the control.

	The acSystemInfo now correctly detects Win2003 server OS.

	Fixed bug in acIPEdit which has allowed to enter values
	over 255 to the cells of IP edit.

	Fixed another bug in acThread class, the thread has never
	returned to the "ready" state after execution.


08.11.2004  3.5.1
=================
	Fixed bug in acInfoBox component, now the text correctly
	displays in the message boxes with disabled "Don't show
	this message again" check box.

	More fixes in acThread class.


04.11.2004  3.5
===============
	In general - tons of improvements, several new components,
	and support of ThemeEngine by http://www.ksdev.com (currently
	customers must have source codes of AppControls to recompile
	the visual controls so they will support themes of ThemeEngine).

	New components:
	 acAccurateTimer - timer based in separate thread, much more
	                   accurate than standard system timer).
	 acCronJob       - the alarm timer schedule. Produces periodical
	                   OnAlert events, which occurs in periods
	                   specified in CRON format of Unix)
	 acLinksPanel    - panel with labels and images at the right.
	                   You can specify the font and image for each
	                   label and hook the event when user clicks
	                   the particular label.

	Fixes and changes:
	 * Added AutoCheckDelay property to acAutoUpgrader component,
	   plus many minor fixes (i.e: faster application restart with
	   minimum CPU load, validation of downloaded files before
	   replacing previous etc).
	 * Added tdNone value to TopLevelDir property of acFileStorage
	   component. Now it can extract the files to ANY directory
	   specified in Subdirectory property (not only to standard
           folders as was in previous versions).
	 * Added CustomFields property to acIESnifferAutoFillUserInfo
	   component, which allows to specify custom fieilds/tokens
	   for auto-filling of the web forms.
	 * Added AddPath method, ShowTreePathInEdit and TreePathSeparator
	   properties to acTreeComboBox component (allows to display
	   the full path to node in the edit/selection box) + fixed
           the bug which allwed to enter text to non-editable combobox.
	 * Added HeaderFont and ItemPopupMenu property to acListView
           component (ItemPopupMenu allows to specify the PopupMenu
           for list items (different of PopupMenu for entire ListView
           control)), plus added CopySelectionToClipboard method
           (copies the text from selected rows/columns to clipboard +
           it automatically copies the text when user press Ctrl+C
           or Ctrl+Ins keys).
	 * Added ItemPopupMenu, AlwaysExpandRoot, AlwaysFullExpand
           and BoldItem properties to acTreeView component (BoldItem
           allows to specify the "bold" node, which can have its own
           text style, color, frame, and image at the right of text).
	 * Added SendMail property set, GetLastRecords and
           EmailLastRecords methods to acThreadSafeLog component
           (now it able to send email message with last N log entires
           to administrator in case of some fatal error).
	 * Fixed some issues with acAppBar component, which occured
           when the BorderStyle property was bsNone (borderless
           skinned forms).
	 * The acFormHelp component now invokes the content sensitivity
           popup help for disabled controls, plus fixed the problem
           with displaying "What's This?" menu item for controls with
           non-standard popup menu.
	 * Modified acAwayTimer component: the AwayTime property now
           have Cardinal type and returns value of milliseconds passed
           since last user activity, instead of TDateTime value.
	 * Modified acButtonsPanel component: CustomBeforeOK property
           changed to CustomButtonPosition. Also added "Apply"
           parameter to OnApplySettings event (allows to validate the
           submission of dialog box on "applying" modified content).
	 * Fixed memory/resource leak in acThread component (the handle
	   of suspended thread was not destroyed on destroying the
	   TacThread class).
	 * Fixed cosmetic bug in acSplitterPanel component, now it
	   correctly specifies the BorderWidth property.
	 * The drop-down tree view of the acTreeComboBox component now
	   displays the drop-down shadow under it + supports the mouse
           wheel to scroll the tree items.
	 * Many others minor improvements and fixes, mostly to make
	   the AppControls compatible with ThemeEngine...


14.01.2004 3.4.2
================
	Added new feature to acThreadSafeLog component, which
	allows to limit the maximum size of the log file (see
	new MaxSize property, OnMaxSizeReached event and
	ClearLog method).


11.01.2004 3.4.1
================
	Few minor bugfixes in acFormMagnet component (to make it
	working propertly if the parent of MDI children was
	changed at run-time).

	Changed the name of icon resource of acAutoUpgrader
	component, therefore the default application icon set in
	project options would remain.


03.01.2004  3.4
===============
	Added new component, acThreadSafeLog, the log-writter which
	can be safely used from different threads simultaneously
	without additional syncronization.

	The acSendMail component now supports two threading models
	and can be used to send e-mails from different threads
	simultaneously, without creating new separate thread (see
	new Threaded property and description on threaded and
	non-threaded models).

	Fixed critical problem with resources of acAutoUpgrader
	component under Windows 98/ME.

	Some fixes in the acAppBar component, now it does not
	"reserve desktop space" for hidden forms.

	Minor fixes in the OnChange event handler of acNumberEdit
	component (now it not occurs when the component is loading).

	The type of IconResID property of the acInfoBox component
	has been changed from Integer to String (to allow to
	specify text-based resource identifiers).


16.12.2003  3.3.1
=================
	Fixed bug in acHTTP component. Now it allows to upload files
	to password protected directories and allows to specify the
	login information in OnPasswordRequest event handler if	it's
	required. (Previous version released the uploading stream
	after sending the data, so the upload request could not be
	automatically retried. However, it still advisable to have
	correct Username/Password before uploading data to password
	protected directories, to avoid unnecessary double-uploading).


12.12.2003  3.3
===============
	Fixed some bugs in acAppBar component which can lead to
	strange behaviors when the form is undocking, if application
	uses more than one AppBar.

	Changed the parameters of OnWBStatusTextChange event handler
	of acIESniffer component. Now it allows to change the status
	text which appears in browser window.

	Fixed bug in acCaptionButton, which has displayed system
	menu on click of caption button on minimized MDI form.

	Fixed bug in acCheckGroupBox, now it don't cuts the caption
	of checkbox when big fonts used on the form.

	Added Alignment property to acButtonsPanel component which
	can arrange the buttons by left or right side, or center
	of panel.

	Added ShowAccelChar property to acBitBtn and acButtonsPanel
	components. This property controls whether the buttons
	should display ampersand (&), or just underline the
	accelerator character after it.

	Added Turkish language support to acAutoUpgrader component.

	Many minor bugfixes in another components.


25.11.2003  3.2
===============
	Added acTextTemplateConverter component. Basically it can be
	used as plug-in for acSendMail component to replace the
	%KEYWORDS% in the message body and headers to the strings
	specified in the TemplateConverter.

	Added MsgDateTime property to acSendMail component (allows
	to specify the date and time of outgoing message).

	Added Bottommost property to acFormHook component (constantly
	keeps the form under other windows when True).

	Improvements/bugfixes in acStringListContainer component:
	 * Now it correctly modifies the Names/Values between the
	   separator + the separator can contain more than one
	   character.
	 * Added IgnoreCase parameter to IndexOfName and IndexOfValue
	   methods which allows to find the index of string in the
	   list without case sesnsitivety.

	The acAppBar component now in correctly displays the
	borderless application desktop toolbars.

	Minor cosmetic bugfixes in acLabel component.


20.11.2003  3.1.1
=================
	Fixed critical bug which crashed IDE at design-time.


19.11.2003  3.1
===============
	Two new components: acIESnifferAutoFillUserInfo (plug-in for
	acIESniffer to automatically fill the forms with some basic
	user details) and acApartPopupMenu (popup menu which correctly
	works on ActiveX forms in Apartment thread model).

	Many improvements in acIESniffer component: now it can
	automatically fill the Web forms (with acIESnifferAutoFillUserInfo
	plug-in), redirect user to the custom search engine instead
	of default MSN, allows to specify the custom URL for search bar
	(at the left side of IE window), specify zoom factor for viewed
	pages and some other features.

	Improvements in acTreeComboBox component:
	* Now it can automatically complete words that user typed in the
	  input box (added AutoComplete, AutoCompleteDelay and
	  AutoCompleteIgnoreCase properties);
	* Added SelectNodeByText, FindNode and FindNodeByAbsoluteIndex
	  methods;

	Improvements/changes in acOnlyOne component:
	* The SwitchToPrevious property (used to activate the first
	  program instance) renamed to SwitchToFirst;
	* Added CloseFirst property (can be used to automatically close
	  first program instance);
	* Added new method, CloseFirstInstance which allows to close
	  previous program instance + described an example how to close
	  the application built with acOnlyOne from external program
	  and how switch to previous application instance before any
	  form will be created (see it in the manual on acOnlyOne).
	* Also we have included to the distribution package new
	  command-line utility, named CloseApp, which can be used in
	  setup programs to close the application before the setup will
	  overwrite the executable file (comes with source code, see it
	  in the Tools directory of distribution package).

	Minor improvements in other components:
	* Fixed problem with displaying the dialog boxes over the
	  acAppBar when it's AlwaysOnTop property is True.
	* Added SetSelection method to acEdit, acNumberEdit,
	  acLabeledComboBox and acTreeComboBox components;
 	* Added OnSubmit method and SubmitButton property to
	  acMRUComboBox component;
	* The HideOnRestore option of acTrayIcon component has been
	  renamed to HideIconOnRestore + added new option
	  MinimizeToTrayOnDeactivate. The PlaySysActionSounds property
	  also become an option (see Options property);
 	* Few fixes in the acInfoBox component (now it allows to copy
	  the content of the message box by Ctrl+C or Ctrl+Ins keys),
	  plus now it doesn't allow to display several InfoBox'es
	  simultaneously, one over previous, plus now it brings the
	  activated InfoBox to the foreground (useful when displayed
	  from minimized app);
 	* Added saveOnExit and saveOnDestroy parameters to the
	  Options property of RegistrySaver structure of acEdit
	  component and all its descendants. The options now allows
	  to specify the events which could automatically save the
	  current text in the edit box to registry.


22.10.2003  3.0.1
=================
	Fixed installation package for C++ Builder 5/6.

	Fixed bug in acExtAssociation component (occasionally it
	didn't allowed to specify the file extension).

	Fixed bug in acHTTP component (it didn't saved dynamic non-binary
	ASCII content to the file specified in OutputFileName property).

	The acTrayIcon component now refreshes its icon in system tray
	area in 15 seconds, if the application was started automatically
	on Windows startup (this improvement was imlementeted due to
	strange behavior or bug in WinXP, where some tray icons may
	appear invisible if the program was executed on startup).

	Added ClearMRU method to acMRUComboBox component.


21.09.2003  3.0
===============
	Third version of AppControls. Big redesign and optimization
	of almost all internal structures and classes + 9 new
	components: acClipboard, acPrcessList, acConnectionList,
	acIESniffer, acButtonsPanel, acTreeComboBox, acWebImage,
	acStringListContainer and acHostnameResolver.

	Improvements in various existing components (see the
	description of new properties and methods in the manuals
	for each component):
	 * Added IsMinimized property to acTrayIcon component (allows
	   to determinate whether application is minimized to system
	   tray);
	 * Added WaitTimeout property to acHTTP, acSendMail, acThread
	   and acSQLQueryThread components (allows to specify maximum
	   timeout needed to complete operation or die);
	 * Added OnActiveTimer property to acAwayTimer component
	   (the timer-based event which only occurs when user
	   actively using the PC);
	 * Added InstallTime property to acAppStartCounter component
	   (writes and retrieves a timestamp when the application was
	   first executed);
	 * Added MinimizeIfNoInfoFound property to acFormPlacementSaver
	   component (when True, it allows to maximize the application
	   window on its first start (if no placement information was
	   found in registry));
	 * Added FindNode, FindNodeByAbsoluteIndex and
	   FindAbsoluteIndexByNode methods to acTreeView component;
	 * Added MaxWidth property to acFormHints component. The new
	   property allows to wrap longs strings in balloon-style
	   hints in Delphi3/BCB3 and higher.
	 * Changes in OnHeaderInfo event of acHTTP component (added
           ErrorCode parameter which passes the status code of the
           HTTP request);
         * The acSendMail component now encodes attachment in ~500
           times faster.
	 * All components which works with registry now retrieving
	   values from registry for users which don't have
	   administration rights on NT-family machines.

	Improvements/changes in acAutoUpgrader component:
	 * Added CheckUpdateAndWaitResult and RestartApplication
	   methods;
	 * Added UseCache property;
	 * Changed OnEndUpgrade event handler (added new parameters);
	 * The built-in application update wizard now can automatically
	   translate the text also to Icelanding and Polish languages.

	Improvements in acListView component:
	 * Added CheckOnClick property (specifies whether the list
	   items should be checked/unchecked on click);
	 * Added OnCheckBoxClick event (occurs when user clicks the
	   checkbox at the left of item);
	 * Also now the acListView can show special label at the
	   center of report-style view, which only visible if the list
	   is empty (see EmptyListMessage and ShowEmptyListMessage
	   properties).

	Many other improvements and lots of new functions in acUtils
	unit (see description on "Bonus Routines" in manuals).


06.04.2003  2.7
===============
	Fixed critical bug of previous version, which did not allowed
	to terminate the debug process in Delphi/BCB IDE (on Ctrl+F2).

	Added HideFileLocation property to Wizard structure of
	acAutoUpgrader component (now it allows the location from
	where the file are downloading).

	Added OnFormCloseButtonClick event to acFormHook component
	(it notifies when user clicks the close [X] button on form's
	title bar).

	Fixed small bug in acOnlyOne component, now it correctly
	switches to previous application instance.

	Fixed small bug in acNumberEdit component (it did not reacted
	to Enter and Escape key presses, which is very important in
	dialogs).

	Improvements in acListView component:
	* The OnColumnResize event was renamed to OnColumnResizeEnd,
	  plus was added OnColumnResizeBegin event which occurs when
	  user just about to resize the list column and allows to
	  disallow the resizing.
	* Added SetColumnOrders method (can set the orders of column
	  or copy the orders from another ListView).
	* The BestFit method now can specify best fit by widths of text
	  on the header, as well as by widths of list items.
	* Added ExportToTXT and ExportToHTML methods.

	Added acHostnameResolver component (used to lookup for the
	hostname by specified IP or list of IP addresses).


15.03.2003  2.6
===============
        Improvements in acHTTP component:
        Added Timeouts structure (helps to specify timeouts for
        HTTP requests) and OnRedirected event (occurs if the server
        has redirected the HTTP query to another location).

        Improvements in acAppBar component:
        Added DontSlideOnTaskBarWhenAutoHide property (when True,
        the windows taskbar is not obscured when the appbar slides
        from screen's side) + fixed some problems occured in Windows XP
        (flickering when the floating AppBar moved after "undocking").

        Improvements in acTrayIcon component:
        Now it able to restore the icon in the system tray after crash
        or restart of Windows Explorer. Also added Icon16 property,
        which can be used together with Icon property and allows to
        separately specify high color tray icon (for Windows ME and XP)
        and 16-colors icon (for Win95/98/NT4/2000, unfortunately older
        version can only show 16-color icons in the tray).
        Also added WhatsThisHint and PopupMenuWhatsThisItem properties,
        which can be used if you wish to show "What's This?" popup help
        window when user clicks proper menu item in popup menu
        associated with tray icon.
        Also added some OnBaloonXXX events (can be used to respond
        on events of balloon-style tooltip of tray icons of Win2000
        and higher), and HideInfoBalloon method (used to hide the
        balloon-style tooltip without waiting when it timeout will be
        expired).

        Improvements in acListView:
        Now it better supports Windows XP themes. Added HeaderColor
        property which allows to specify the color for column headers
        for uniform look. Added FindCaption method which can be used
        to quickly find the list item by caption.

        Fixed bug in acFormPlacementSaver component, in previous
        versions it did not saved the form placement if it was closed
        after call of "Form.Close" method.

        Added OnFormShown event to acFormHook component (occurs at
        once after displaying the form, and can be used instead of
        OnShow form's event which occurs before it actually displays).

        All visual controls, like acBitBtn, acCheckBox, acRadioButton,
        acCheckGroupBox, acListView, acPanel and all its descendants
        (HeaderPanel, PicturePanel) supports the Windows XP themes
        in lower Delphi/BCB versions (lower than Delphi 7, which
        already comes with built-in WinXP Theme API). However, our
        controls can correctly show Windows XP styles even if they
        was built with Delphi 2 or BCB 3.

        Many other minor bugfixes (i.e: fixed GetCPUSpeed function
        which raised 'division by zero' on P4 3.06Ghz)
        and improvements.


30.10.2002  2.5.3
=================
        Improved all controls with AttachedLabel. Now the attached
        labels will be look correctly with any pixel per inch resolution.

        Added ShowHeaderArrow property to acHeaderPanel component. Now
        the component can show the arrow near the caption, displaying
        that the caption of header panel have a popup menu.

        Some cosmetic bugfixes in acSplitterPanel component (now it
        correctly restores the placement of the panes from the
        registry, even if the form has been resized on program startup).

        Added FlickerFreeMaximize property to acFormPlacementSaver
        component. (When it is set to True and the component is
        about to restore the previous placement of your form (maximize
        the form) on program startup, the component will do it without
        flickering).


22.10.2002  2.5.2
=================
        Release mostly with improvements in acHTTP and acAutoUpgrader
        components:
        Added the OnHeaderInfo and OnDoneInterrupted events to acHTTP
        component. The OnHeaderInfo allows to receive the headers
        of the remote document and decide whether you want to
        continue the download the content.

        Added MiscFilesUpgrade property and OnFileStart event to
        acAutoUpgrader component. These improvements allows to
        receive the headers of response from HTTP server before
        downloading the data and decide whether you want to download
        and upgrade the files which sizes remains unchanged since
        previous release of your application.
        Also added OnDoOwnCloseAppMethod event, which allows to
        execute own method which will close the application before
        the application upgrade.

        Bugfixes:
        Fixed minor bug in acAwayTimer component (component for
        detecting the user's activity/inactivity).
        The acWin2kEffects component now correctly refresh the
        form content after displaying the effect described in
        AnimateOnShow structure.

        Minor improvements:
        The acSystemInfo component now detects and allows to specify
        the screen resolutions of Pivot monitors: 480x640, 600x800,
        768x1024, 864x1152, 960x1280, 1024x1280, 1200x1600,
        1080x1920, 1200x1920.


15.10.2002 2.5.1
================
        Improved the threading model for all components which uses
        acCustomThread class (acHTTP, acAutoUpgrader, acSendMail
        and acSQLQueryThread). New improvements allows to use these
        components in ActiveX forms even in Delphi 6/7,
        C++ Builder 6 and higher.

        Added Spanish and Simplified Chinese languages to built-in
        "Application Update Wizard" of acAutoUpgrader component.
        Now it supports 13 natural languages.

        Fixed minor bug in acWin2kEffects component, which did not
        displayed the animation effect correctly on closing of the
        child forms.

        Added BiDiMode property for AttachedLabel structure used
        in all our Edit and ComboBox controls.


08.01.2002 2.4.2
================
        Added FlashBackground method to acWin2kEffects component
        (to allow the form flash in background mode until user click
        the window with mouse or active at with keybard).

        Added MaxClientWidth, MaxClientHeight, MinClientWidth and
        MinClientHeight properties to acFormSizeRestrictions
        component. These properties allows to specify the resize
        boundaries for the form.


17.12.2001 2.4.1
================
        Added new event to acListView component (OnColumnResize).
        Improvements in acSystemTCPClient, acSimpleTCPServer and
        acThread.


02.12.2001  2.4
===============
        Added 4 new components: acEmbeddedForm, acImagesComboBox,
        acSimpleTCPServer, acSimpleTCPClient.

        Improvements in the acAutoUpgrader:
        1. Improved integration with external setup programs (in case
           if the upgrade made by external program, the self-upgrading
           module now will wait for termination of setup);
        2. Corrected function that calculates the estimated time left
           in the download progress (this also fixed in OnProgress event
           of acHTTP component. (New formula: X := FileSize / BytesRead
           * ElapsedTime - ElapsedTime);
        3. Added Italian language support for "Application Update
           Wizard".

        Added couple of new optional properties (Margins structure) to
        the acFormHelp + it now completely supports Jordan Russel's
        Toolbar2000 buttons.

        Improvements in acFormHints component. Now you can select the
        style of hint dynamically in the OnShowHint event.

        Bugfixes in download mechanism of acHTTP/acAutoUpgrader
        components (fixed problems with allocation the memory for
        streams for big files (>4MB)).

        Added forgotten in previous release the component editor for
        Columns property of the acDBListView.

        New property in acOnlyOne, new event in acFormPlacementSaver,
        huge improvements in acListView and acFileStorage components.
        A lot of others minor improvements and optimizations.


31.10.2001  2.3.6
=================
        Added acDBListView component - db-aware version of acListView.

        The acFormHelp component now supports any sophistical buttons
        and menu items (Toolbar2000 items for instance) as controls
        which can automatically invoke the help pointer.

        Fixed minor bug in acAppBar component, discovered in Win2000
        (Win95/98/NT4 works ok), when user tryed to undock the form
        double-clicking it to restore it to "floating" state.

        Improved acAutoUpgrader component: now it correctly supports
        external setup-files, added new option to UpgradeMethod
        property. Minor improvements in the self-upgrading mechanism.


24.10.2001  2.3.5
=================
        Implemented couple of new features for tooltips of the acListView
        component. First - added possibility to specify custom multiline
        tooltips for list items. Second - added new property
        ShowScrollTips. When it True and user drags the thumb of vertical
        scrollbar, the list-view shows the hint with caption of top list
        item of current sorted column.

        Fixed bug in acEdit component. (Values of PasswordChar and
        ValidateChars properties was ignored.)

        Added Dutch localization resources to acAutoUpgrader component.
        Thanks to Carl Peeraer for translation.


18.10.2001  2.3.4
=================
        Added acSendMail component, extremely easy to use implementation
        of SMTP-client.

        Implemented some new properties and events for acAutoUpgrader
        component, which allows to use external installation programs
        for local extraction downloaded setup-file in "silent mode",
        fixed a couple of spelling mistakes in localization of
        Application Update Wizard.

        Fixed bug in acAppBar component. (There was strange behavior on
        docking the AppBar to the right or bottom sides of screen, with
        pre-configured minimal size of form.) Also added new property
        (TitleBar) which allows to show the title bar on form docked to
        the screen edge.

        Fixed major design-time bug in acFormSystemMenu component.
        The Delphi IDE has crashed on removing the component from form
        at design-time.

        Added Range property to the acHTTP component, which allows to
        download certain blocks of data from remote binary files or
        implement custom mechanism for resuming of broken downloads
        (if you don't use IE cache).

        Added MIMEType property to acExtAssociation component. The new
        property allows to specify and determinate the media type of
        file extension.


24.09.2001  2.3.3
=================
        Minor bug fixed in self-upgrading mechanism of acAutoUpgrader
        component.


23.09.2001  2.3.2
=================
        Improved acDesktopWallpaper component. Added AutoFormat
        property.
        Minor bugfixes in acAutoUpgrader component (in Wizard form
        and self-upgrading module).


19.09.2001  2.3.1
=================
        Added acUnixCrypt component.
        Fixed some minor bugs in the acAutoUpgrader, added German
        language support.


10.09.2001  2.3
===============
        acAutoUpgrader Pro released! Pro-version contains built-in
        "Application Update Wizard", a lots of customization features,
        proxy support, multi-language support and much more! See press
        release on AppControls.com to check out what's new in the
        acAutoUpgrader.

        Added OnPasswordRequest event to acHTTP component. This event
        allows user to enter his username and password, required for
        access to password protected Web directory, then retry HTTP
        request.

        Bufixes and improvements in the acFormHelp component:
         1.Fixed problem with appearance of context-sensitive help
           windows without shadow;
         2.Added ParentFont property which helps to make uniform
           appearance for context-sensitive help as well as for
           usual controls;
         3.Added UseF1 property which can allow or disallow
           displaying of the context-sensitive help windows when
           user press F1 key;
         4."What's This?" menu item does not pops up anymore if the
           control already have own popup menus (even non-standard,
           like Jordan's Russels Toolbar2000 menus).

        Some minor bugfixes in other components...


27.08.2001  2.2.2
=================
        Added AddHeaders property to acHTTP component.
        This property allows to specify additional headers for
        the HTTP request.


03.08.2001  2.2.1
=================
        Minor bugfixes in acCaptionButton, acAppBar and
        acFormSystemMenu components.

        Added new component, acDragPanel. DragPanel is great
        addition to acAppBar to allow user to move and dock
        the form dragging the panel that covers form.
        Minor bugfixes in TacACaptionButton class and
        acFormSystemMenu component.


15.07.2001  2.2
===============
        A lots of improvements, Delphi 6 support, and two new
        components: acFormSystemMenu and acFormStatusControl.

        Changes and improvements:
        acFormCursors component has been completely rewritten
        and renamed to the acAppCursors. Now just one
        acAppCursors component can change appearance of cursor
        images for non-clients objects in entire application,
        in any form, even non-VCL based (i.e: Save/Open file
        dialogs).

        acGradientForm component renamed to acFormBackground.
        Improved component can paint the form background using
        3 various gradient effects, or 4 styles of drawing the
        wallpaper: tiled, stretched, tiled with zigzag (like
        bricks in the wall), or aligning the picture by center.

        Added some new properties which allows the acFormHelp
        to put "What's This?" menu item to the main and/or
        system menu(s) of your form. Additionally you can point
        the "What's This?" button on the toolbar (or any control,
        in general). When user clicks the button or menu item,
        the cursor will be changed to a question mark with a
        pointer. If the user then clicks a control in the form,
        the control receives a message to show the context-
        sensitive help, taken from secondary part of the control's
        Hint property. Also added ShowHelpPointer method which
        allows to envoke the help-pointer "manually".

        Minor bugfixes and optimizations in the acCaptionButton
        component. The caption buttons now refreshes much faster
        when the form's caption changes + fixed small bug in
        buttons wich have own popup menu.

        Added OnCaptionChanged event to acFormHook component +
        minor bugfix in the NoCaption property.

        Added SortMarkJustify property to the acListView
        component. The arrow-style sort mark now can be displayed
        either near the text or near the edge of header section.

        Added oDblClickRestore option to the acTrayIcon component.
        This option allows to prevent restoring of the form
        associated with the tray icon on double click.

        Minor bugfix in the acCheckGroupBox component.

        Changes and improvements in the core structures
        (TacComponent and TacFormHookComponent).

        Added 6 new cursors to the IDE (crArrowResize,
        cr3dArrowResize, cr3dArrowWarning, crPen, crZoomIn
        and crZoomOut).


21.05.2001  2.1
===============
        Fixed bug in the acTrayIcon component, which was prevented
        the Win2000 from shutting down (or logging off) when the
        tray icon was visible in the taskbar status area.


19.05.2001  2.0
===============
        Second version of the AppControls. The package now
        contains new section with improved visual controls.

        Was added 15 new components: acHTTP, acLabel, acURLLabel,
        acRichLabel, acCheckBox, acRadioButton, acCheckGroupBox,
        acButton, acBitBtn, acEdit, acNumberEdit, acIPEdit,
        acMRUComboBox, acTreeView, acListView.

        Fixed small bug in the acFormHints component. In previous
        releases the balloon-style hint could be displayed
        semi-transparent (even if Transparent property is False),
        when user moves the mouse too quickly and hint did not
        have time to disappear.

        Added some new properties and methods the the acAppBar
        component.


04.05.2001  1.3
===============
        Added acFormResizeGrip component which attaches SizeGrip
        rectangle to the bottom-right corner of the form at
        run-time. This allows the user to resize the form
        dragging this grip.

        Improved acAppBar. Added several new properties and
        methods for more flexible management of the AppBar
        window.


27.04.2001  1.2
===============
        Added acExtAssiciation, acShortcut and acDateTimeCalc
        components.

        Updated the acFormHelp component. The text of the
        context sensitive help now can be adjusted within a
        popup window. Fixed problem with triggering of the
        OnHide event by OnShow.

        Improved the acAppBar component. Fixed small bug with
        auto-hiding the AppBar on program startup and added two
        new events OnHiding/OnUnhiding. Fixed minor problem with
        "unhiding" of the AppBar when it need to accept some data
        by drag'n'drop. Also updated component able to store its
        settings either to the system registry and INI files.


06.04.2001  1.1d
================
        Improved the FormHelp-designer, to override ALL others
        installed property editors for Hint property, and to let
        you to edit the context-sensitive help in WYSIWYG mode.

        Added several new useful routines to acUtils unit.


04.04.2001  v1.1
================
        Improved the acFormHelp component. New version of the
        FormHelp can apply the "What's This?" menu item to
        every control with context-sensitive help in the
        secondary part of hint, and invokes the context help
        either after pressing the "Help" button on the title
        bar or after selecting "What's This?" menu item.

        Updated acAnimationEffect component. The smooth effect
        now based on system-wide events istead of using the
        OnShow and OnHide form events.

        Improved the acAutoUpgrader component. Updated version
        can upgrade the applications even if it used by many
        users at the same time (i.e.: users starts the program
        from network drive) and the executable file is locked.


31.03.2001  v1.0.4
==================
        Fixed some bugs in the CaptionButton class and all its
        successors (acCaptionButton, acAppAutoRun, acTrayIcon,
        acFormHelp, acFormTopmost). New version more correctly
        displays the caption buttons if the form don't have a
        regular buttons (when Form.BorderStyle=bsNone). Fixed
        some problems with appearing of the tooltips (hints)
        when the form contains main menu. Custom cursors for
        the caption buttons is flickersfree now.

        Updated acWavPlayer component (some minor optimizations).


28.03.2001  v1.0.3
==================
        Added new component, acWin2kEffects, which enables to
        produce some special effects of the Windows 98 / 2000.
        You can show roll, slide and alpha-blending animation
        effects on showing and hiding windows, make your forms
        translucent, flash the caption bars and taskbar icons.

        Improved the acTrayIcon component. Now it supports the
        cartoon-style balloon tooltips - a nonintrusive way to
        display an explanatory message for a status bar icon,
        implementation a balloon tooltip with its stem pointing
        to the icon. The ToolTip will disappear when clicked,
        but you can also specify a time-out value. The information
        balloon can appears after minimizing of the forms to the
        system tray or after calling the ShowInfoBalloon method.
        New feature will works on Windows 2000 and later only.
        You can call the information balloons in lower Windows
        versions, however nothing will happends.

        Cosmetic improvements and bugfixes in acOnlyOne and
        acAnimationEffect components. Added 7 useful GDI routines
        to acGraphics unit.


20.03.2001  v1.0.2
==================
        Fixed the acFormMagnet component. Now forms with
        acFormMagnet can attract and attach other forms more
        correctly, independently of taskbar placement.

        Added 5 new events to the acAppEvents component. New
        events lets you to hook ALL keypresses and ALL mouse
        clicks / movements within entire application.


16.03.2001  v1.0.1
==================
        Improved the acFormRoller component - added smooth
        animation effect on rolling the form + added property
        wich let programers specify custom "Roll up / Roll
        down" tooltips.

        Fixed small bug in the acAppAutoRun component which
        incorrectly works with long an EXE filenames in
        previous release.


18.02.2001  v1.0
================
        First official release. Distributed from AppControls.com
        (http://www.appcontrols.com) as part of UtilMind
        Solutions(r) Network. A lot of bugfixes and improvements
        of the beta version. acSystemInfo component adapted for
        Win2000.


24.01.2001  v1.0b
=================
        Initial Beta release. Currently for beta-testers only.
        Package contains set of 27 components:
         * acAppAutoRun (updated since release for internal usage)
         * acAppStartCounter (new)
         * acAutoUpgrader (updated)
         * acAppEvents (new)
         * acOnlyOne (updated)
         * acTrayIcon (updated)
         * acAppBar (new)
         * acCaptionButton (updated)
         * acGradientForm (new)
         * acAnimationEffect (updated)
         * acFormCursors (new)
         * acFormHelp (updated)
         * acFormHints (new)
         * acFormMagnet (updated)
         * acFormTopmost (new)
         * acFormRoller (new)
         * acFormPlacementSaver (updated)
         * acFormSizeRestrictions (new)
         * acFileStorage (updated)
         * acWavPlayer (new)
         * acCursorLocker (new)
         * acFormHook (new)
         * acThread (new)
         * acSystemInfo (new)
         * acDesktopWallpaper (updated)
         * acControlKeyState (updated)
         * acQuickAboutBox (new)

        All components, even that that was distributed by
        UtilMind before, has been completely redesigned, many
        properties, methods and event handlers has changed, so
        our old customers may found some incompatibility with
        previous versions of such components like AutoRunner,
        AutoUpgrader, Magnet and FormHelp.

        Added some additional colors and cursors which installs
        with the package to the Delphi/BCB IDE.
